Gemini Space Station, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/gemini-space-station-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/2055592/000110465925079323/tm255912-12_drsa.htm",
    "holding_balance": 4002.0,
    "holding_net_change": 4002.0,
    "transaction_value_usd": 106478000.0,
    "average_entry_value_usd": 26606.2,
    "transaction_value_calculated": false
  },
  {
    "date": 1762732800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.gemini.com/node/7166/html",
    "holding_balance": 5304.0,
    "holding_net_change": 1300.0,
    "transaction_value_usd": 157268000.0,
    "average_entry_value_usd": 120975.38,
    "transaction_value_calculated": false
  },
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.gemini.com/node/7541/ixbrl-viewer",
    "holding_balance": 4827.0,
    "holding_net_change": -477.0,
    "transaction_value_usd": 41733340.56,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    4827.0
  ],
  [
    1787011200000,
    4827.0
  ],
  [
    1787097600000,
    4827.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    303260812.38
  ],
  [
    1787011200000,
    311317654.62
  ],
  [
    1787097600000,
    312269973.45
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.865,
    "date": "2026-08-14",
    "high": 4.28,
    "open": 3.9,
    "close": 3.92,
    "volume": 3752800
  },
  {
    "low": 3.385,
    "date": "2026-08-17",
    "high": 3.93,
    "open": 3.89,
    "close": 3.61,
    "volume": 3845700
  },
  {
    "low": 3.4301,
    "date": "2026-08-18",
    "high": 3.6,
    "open": 3.56,
    "close": 3.54,
    "volume": 1523541
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.575,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.6633
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -21.33,
  "six_month_return": -46.24,
  "three_month_return": -34.08
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gemini-space-station-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 66.7,
  "total_btc_percentage": 0.023,
  "share_price_change_state": "up"
}